<template>
    <div>
        <ul>
            <li class="block">
                <input type="checkbox" name="item" id="item1" />   
                <label for="item1"><i aria-hidden="true" class="icon-users"></i> Tu pedido <span>124</span></label>
                <ul class="options">
                    <li v-for="(item,index) of order.items" :key="index">
                        

                        <div class="items-container">
            <div class="item">
                <Thumbnail class="thumbnail" :style="thumbnailBorder" :src="item.photoURL"></Thumbnail>
                <div class="item-info">
                    <span>{{item.localizedName}}</span>
                    <span class="small-details">{{item.details}}</span>
                    <span
                            class="small-details"
                            :set="wantedIngredients = item.ingredients.filter((i)=>i.selected)"
                    >{{wantedIngredients.length? reduceIngredients(wantedIngredients, $t('with')) : ''}}</span>
                    <span
                            class="small-details"
                            :set="unwantedIngredients = item.ingredients.filter((i)=>!i.selected)"
                    >{{unwantedIngredients.length? reduceIngredients(unwantedIngredients, $t('without')) : '' }}</span>
                </div>
                <h2 class="number">{{item.quantity}}</h2>
            </div>
        </div>


                    </li>
                </ul>
            </li>
        </ul>
    </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator';
@Component
export default class AcordeonMenu extends Vue {
@Prop() private order!: string;
}
</script>

<style scoped>

* {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

ul {
	list-style:none;
	margin:0; 
	padding:0;
	width:100%;
	margin:0 auto;
}

ul li label {
	color: rgb(0, 0, 0);
    font-weight: 600;
}

ul li input[type='checkbox'] {
	display: none;
}

ul li label {
	display:block;
	padding:12px;
	width: 100% !important;
}

ul li i {
	font-size:18px;
	vertical-align: middle;
	width:20px;
}

ul li span {
	display:inline;
	float:right;
	background:#48515c;
	border:1px solid #3c434c;
	border-bottom:1px solid #707781;
	padding:4px 6px;
	font-size:10px;
	-moz-border-radius: 12px;
	border-radius: 12px;
	position:relative;
}

ul li label:hover {
	background: rgb(243, 243, 243);
}

ul li label:hover span {
	background:#c73232;
}

ul li input[type='checkbox']:checked ~ label {
	background: rgb(221, 221, 221);
}

ul li input[type='checkbox']:checked ~ label span {
	background: #339668; /* fallback colour */
}

ul li input[type='checkbox']:checked ~ .options {
	height: auto;
	display:block;
	min-height:40px;
}

ul ul {
	background:#fff; margin:0; padding:0;
}



ul ul li {
	border-bottom:1px solid #ccc;
}

ul ul li:first-child {
	padding-top:6px;
}

ul ul li:last-child {
	padding-bottom:6px; border:0;
}

.options {
	height: 0;
	display: block;
	overflow: hidden;
}


</style>